public class Arbre extends Obstacle{
	
	private int resistanceMat=0;
	private int structureMat=0;
	private int poids=0;
	

	
	public Arbre(boolean casse,String modele,String nom,String nomE,String typeObjet,boolean visible,String tileStr,String tileStrCasse){
		super(casse,modele,nom,nomE,typeObjet,visible,tileStr,tileStrCasse);
		
		
		if(modele.compareTo("mediumtree")==0){
			
			resistanceMat=125;
			structureMat=100;
			poids=1000;
		}
		
	}
	
	
	
	//////////////////////////////////////////
	public int getPoids(){
		return poids;
	}
	
	public void setPoids(int pds){
		poids=pds;
	}
	
	public int getResistanceMat(){
		return resistanceMat;
	}
	
	public void setResistanceMat(int res){
		resistanceMat=res;
	}
	
	public int getStructureMat(){
		return structureMat;
	}
	
	public void setStructureMat(int struct){
		structureMat=struct;
	}
	
	
	

}